Subject: Re: [PATCH v3 3/7] builtin: patch-id: fix patch-id with binary diffs

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Oct 2022 10:13:27 -0700

"Jerry Zhang via GitGitGadget" <[email-masked]> writes:

> From: Jerry Zhang <[email-masked]>
>
> "git patch-id" currently doesn't produce correct output if the
> incoming diff has any binary files. Add logic to
> get_one_patchid to handle the different possible styles of binary
> diff. This attempts to keep resulting patch-ids identical to what
> would be produced by the counterpart logic in diff.c, that is it
> produces the id by hashing the a and b oids in succession.

It is sad that we have two separate implementations in the first
place.  Do you see if it is feasible to unify the implementation
by reusing one from the other (answering this is not a requirement
for this patch to be looked at)?